Algorithm::HMM::Report(3pm)

NAME
Algorithm::HMM::Report - Report object for the Algorithm::HMM package.

DESCRIPTION
The Algorithm::HMM::Report object is returned by the Algorithm::HMM search method. It contains the sets of global and domain hits returned by the model.

SYNOPSIS
  # Search the HMM model.  An Algorithm::HMM::Report object is returned.
  my $rep = $hmm->search("AAIELKBPOWELKQJPASDLKJIGE");

  # Get all the global hits from the report object.
  my @ghits = $rep->global_hits();

  # Get all the domain hits from the report object.
  my @dhits = $rep->domain_hits();

METHODS
  my @ghits = $rep->global_hits();
  my @dhits = $rep->domain_hits();

The global_hits() and domain_hits() methods return lists of Algorithm::HMM::Hit::Global and Algorithm::HMM::Hit::Domain objects respectively. A global hit is a match across the entire model, while a domain hit is a match on a smaller subsequence of the model.

AUTHOR
The Algorithm::HMM package was originally written by Cory Spencer <cspencer@sfu.ca> of the Simon Fraser University Brinkman Laboratory. It is currently maintained by Matthew Laird <matt@brinkman.mbb.sfu.ca>.

SEE ALSO
Algorithm::HMM, Algorithm::HMM::Hit::Global, Algorithm::HMM::Hit::Domain